<mat-tab-group [(selectedIndex)]="demoTabIndex">
    <mat-tab *ngFor="let Question of test.questions let i = index" [label]="'Question'+i">
        <ng-template matTabContent>
            <div class="q-item">
                <h2>{{Question.text}}</h2>
                <form [formGroup]="answerForm" (ngSubmit)="confirm(i)">
                    <mat-radio-group formControlName="answer">
                        <section *ngFor="let answer of Question.answersText let j = index" class="-ch-box">
                            <mat-radio-button [disabled]='buttonClicked[i]' [value]='Question.answerIds[j]' [checked]="confirmedResult[i][j]">{{answer}}</mat-radio-button>
                        </section>
                    </mat-radio-group>
                    <button mat-raised-button color="accent" [disabled]='buttonClicked[i]' type="submit">confirm</button>
                </form>
            </div>
        </ng-template>
    </mat-tab>
</mat-tab-group>
<br>
<button mat-raised-button color="primary" (click)='finish()'>Finish</button>
